/*
   $Id: tree.h,v 1.2 2002/12/16 03:27:32 bhepple Exp $

   part of gjots - a gnome/X11 jotter

   Copyright (C) 2002 Robert Hepple

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.

*/

/* defines for getNext/PrevInTree(): */

#define SAME_LEVEL	1
#define ABSOLUTE	2
#define VISIBLE		3

extern void addTextToPayload(GtkWidget *item, char *buf);
extern void clearTextDisplay(void);
extern void syncPayload(void);
extern void checkOrigin(GtkWidget *item);
extern int clearCurrent(int autoAddItem);
extern void sendFocusToTree(void);
extern GtkWidget *getPrevItem(GtkWidget *item, int flag);
extern GtkWidget *getNextItem(GtkWidget *item, int flag);
extern void moveItemsDown(void);
extern void moveItemsUp(void);
extern void moveItemsLeft(void);
extern void moveItemsRight(void);
extern void promoteItem(void);
extern void demoteItem(void);
extern void checkTitle(GtkWidget *item);
extern GtkTreeItem *newItem(GtkTree *branch, GtkTreeItem *afterItem);
extern void doNewItem(void);
extern GtkTreeItem *newFolder(GtkTreeItem *leafItem, int autoAddItem);
extern void doNewFolder(void);
extern char *tree_item_get_label(GtkTreeItem *item);
extern void tree_item_set_label(GtkTreeItem *item, char *newLabel);
extern void unselectAll(void);
extern GtkWidget *lastSelectedItem(void);
extern GtkWidget *firstSelectedItem(void);
extern GList *getSelectedItems(void);

